OPENSSL-CRL2PKCS7(1SSL)

NUME
openssl-crl2pkcs7 - creează o structură PKCS#7 dintr-o listă de revocare a certificatelor (CRL) și certificate

SINOPSIS
openssl crl2pkcs7 [-help] [-inform DER|PEM] [-outform DER|PEM] [-in filename] [-out filename] [-certfile filename] [-nocrl] [-provider name] [-provider-path path] [-provparam [name:]key=value] [-propquery propq]

DESCRIERE
Această comandă ia o CRL opțională și unul sau mai multe certificate și le convertește într-o structură degenerată PKCS#7 „numai certificate”.

OPȚIUNI

-help
    Afișează acest mesaj de utilizare.

-inform DER|PEM
    Formatul de intrare al CRL; implicit este PEM. Consultați openssl-format-options(1) pentru detalii.

-outform DER|PEM
    Formatul de ieșire al obiectului PKCS#7; implicit este PEM. Consultați openssl-format-options(1) pentru detalii.

-in nume-fișier
    Aceasta specifică numele fișierului de intrare din care se citește o CRL sau intrarea standard dacă această opțiune nu este specificată.

-out nume-fișier
    Specifică numele fișierului de ieșire în care se va scrie structura PKCS#7 sau, implicit, la ieșirea standard.

-certfile nume-fișier
    Specifică un nume de fișier care conține unul sau mai multe certificate în format PEM. Toate certificatele din fișier vor fi adăugate la structura PKCS#7. Această opțiune poate fi utilizată de mai multe ori pentru a citi certificate din mai multe fișiere.

-nocrl
    În mod normal, o CRL este inclusă în fișierul de ieșire. Cu această opțiune nu se include nicio CRL în fișierul de ieșire și nu se citește o CRL din fișierul de intrare.

-provider nume
-provider-path rută
-provparam [nume:]key=valoare
-propquery propq
    Consultați „Opțiuni furnizor” în openssl(1), provider(7) și property(7).

EXEMPLE
Creează o structură PKCS#7 dintr-un certificat și o CRL:

 openssl crl2pkcs7 -in crl.pem -certfile cert.pem -out p7.pem

Creează o structură PKCS#7 în format DER fără o CRL din mai multe certificate diferite:

 openssl crl2pkcs7 -nocrl -certfile newcert.pem
        -certfile demoCA/cacert.pem -outform DER -out p7.der

NOTE
Fișierul de ieșire este o structură de date semnată PKCS#7 care nu conține semnatari și doar certificate și o CRL opțională.

Această comandă poate fi utilizată pentru a trimite certificate și CA-uri către Netscape ca parte a procesului de înregistrare a certificatelor. Aceasta implică trimiterea rezultatului codificat DER ca tip MIME application/x-x509-user-cert.

Formularul codificat PEM cu liniile de antet și subsol eliminate poate fi utilizat pentru a instala certificate de utilizator și CA în MSIE utilizând controlul Xenroll.

CONSULTAȚI ȘI
openssl(1), openssl-pkcs7(1)

DREPTURI DE AUTOR
Drepturi de autor 2000-2021 The OpenSSL Project Authors. Toate drepturile rezervate.

Licențiat sub Licența Apache 2.0 („License”). Nu aveți voie să utilizați acest fișier decât în conformitate cu licența. Puteți obține o copie din fișierul LICENSE din distribuția sursei sau de la <https://www.openssl.org/source/license.html>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.